﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;
using System.IO;

namespace WindowsFormsApplication6
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
           
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {            
            //this.ultraGrid1.DisplayLayout.SaveAsXml("layout.xml_default");
                       
            //if (File.Exists("layout.xml"))
            //    this.ultraGrid1.DisplayLayout.LoadFromXml("layout.xml");

            this.ultraGrid1.DisplayLayout.ValueLists["testlist"].ValueListItems.Add(0, "zero");
            this.ultraGrid1.DisplayLayout.ValueLists["testlist"].ValueListItems.Add(1, "one");
            this.ultraGrid1.DisplayLayout.ValueLists["testlist"].ValueListItems.Add(2, "two");

            this.ultraGrid1.DisplayLayout.Bands[0].Columns[0].ValueList = this.ultraGrid1.DisplayLayout.ValueLists["testlist"];
            
        }

            

        private void button1_Click(object sender, EventArgs e)
        {
            this.ultraGrid1.DisplayLayout.LoadFromXml("layout_default.xml");
            
        }

        private void Form1_FormClosing(object sender, FormClosingEventArgs e)
        {
            this.ultraGrid1.DisplayLayout.SaveAsXml("layout.xml");
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.ultraGrid1.DisplayLayout.SaveAsXml("layout_default.xml");

            if (MessageBox.Show("Load saved layout?", "Load saved layout?", MessageBoxButtons.YesNo) == DialogResult.Yes)
            {
                if (File.Exists("layout.xml"))
                    this.ultraGrid1.DisplayLayout.LoadFromXml("layout.xml");
            }

            //this.ultraGrid1.DisplayLayout.ValueLists["testlist"].ValueListItems.Add(0, "Apple");
            //this.ultraGrid1.DisplayLayout.ValueLists["testlist"].ValueListItems.Add(1, "Banana");
            //this.ultraGrid1.DisplayLayout.ValueLists["testlist"].ValueListItems.Add(2, "Cherry");
            
        }

        //add item to list
        private void ultraButton1_Click(object sender, EventArgs e)
        {
            this.ultraGrid1.DisplayLayout.ValueLists["testlist"].ValueListItems.Clear();
            this.ultraGrid1.DisplayLayout.ValueLists["testlist"].ValueListItems.Add(0, "Apple");
            this.ultraGrid1.DisplayLayout.ValueLists["testlist"].ValueListItems.Add(1, "Banana");
            this.ultraGrid1.DisplayLayout.ValueLists["testlist"].ValueListItems.Add(2, "Cherry");

            this.ultraGrid1.DisplayLayout.Bands[0].Columns[0].ValueList = this.ultraGrid1.DisplayLayout.ValueLists["testlist"];
            
        }

       
    }
}
